Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.controlpoint
Class SubscriptionCallback

    java.lang.Object
      org.teleal.cling.controlpoint.SubscriptionCallback

All Implemented Interfaces:
  Runnable

    public abstract class SubscriptionCallback

extends Object
implements Runnable

Field Summary
`protected DeviceService` | `deviceService`
`protected static Logger` | `log`
`protected Integer` | `requestedDurationSeconds`

Constructor Summary
`protected` | `SubscriptionCallback(DeviceService deviceService)`
`protected` | `SubscriptionCallback(DeviceService deviceService, int requestedDurationSeconds)`

Method Summary
`static String` | `createDefaultFailureMessage(UpnpResponse responseStatus, Exception exception)`
`void` | `end()`
`abstract void` | `ended(GENASubscription subscription, CancelReason reason, UpnpResponse responseStatus)` Called when a local or remote subscription ended, either on user request or because of a failure.
`abstract void` | `established(GENASubscription subscription)`
`abstract void` | `eventReceived(GENASubscription subscription)`
`abstract void` | `eventsMissed(GENASubscription subscription, int numberOfMissedEvents)`
`abstract void` | `failed(GENASubscription subscription, UpnpResponse responseStatus, Exception exception)` Called when establishing a local or remote subscription failed.
`ControlPoint` | `getControlPoint()`
`DeviceService` | `getDeviceService()`
`GENASubscription` | `getSubscription()`
`void` | `run()`
`void` | `setControlPoint(ControlPoint controlPoint)`
`void` | `setSubscription(GENASubscription subscription)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static Logger log

### deviceService

    protected final DeviceService deviceService

### requestedDurationSeconds

    protected final Integer requestedDurationSeconds

Constructor Detail

### SubscriptionCallback

    protected SubscriptionCallback(DeviceService deviceService)

### SubscriptionCallback

    protected SubscriptionCallback(DeviceService deviceService,
                                   int requestedDurationSeconds)

Method Detail

### getDeviceService

    public DeviceService getDeviceService()

### getControlPoint

    public ControlPoint getControlPoint()

### setControlPoint

    public void setControlPoint(ControlPoint controlPoint)

### getSubscription

    public GENASubscription getSubscription()

### setSubscription

    public void setSubscription(GENASubscription subscription)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### end

    public void end()

### failed

    public abstract void failed(GENASubscription subscription,
                                UpnpResponse responseStatus,
                                Exception exception)

  Called when establishing a local or remote subscription failed. To get a nice error message that transparently detects local or remote errors use `createDefaultFailureMessage()`.

  Parameters:
    `subscription` - The failed subscription object, not very useful at this point.
    `responseStatus` - For a remote subscription, if a response was received at all, this is it, otherwise `null`.
    `exception` - For a local subscription, any exception that caused the failure, otherwise `null`.
  See Also:
    `createDefaultFailureMessage(org.teleal.cling.model.message.UpnpResponse, java.lang.Exception)`

### established

    public abstract void established(GENASubscription subscription)

### ended

    public abstract void ended(GENASubscription subscription,
                               CancelReason reason,
                               UpnpResponse responseStatus)

  Called when a local or remote subscription ended, either on user request or because of a failure.

  Parameters:
    `subscription` - The ended subscription instance.
    `reason` - If the subscription ended regularly (through `end()`), this is `null`.
    `responseStatus` - For a remote subscription, if the cause implies a remopte response and it was received, this is it (e.g. renewal failure response).

### eventReceived

    public abstract void eventReceived(GENASubscription subscription)

### eventsMissed

    public abstract void eventsMissed(GENASubscription subscription,
                                      int numberOfMissedEvents)

### createDefaultFailureMessage

    public static String createDefaultFailureMessage(UpnpResponse responseStatus,
                                                     Exception exception)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.